System.Threading package error [with FIX]


#1

Just installed Xenko for the first time, went to create new empty project and “Ohh, NOOO!” - failed with some package error. Not an encouraging start, isn’t it? :slight_smile:

After digging around for a while I was able to trace it down to a broken v4.0.11 archive on the “nuget.org” itself. Not a Xenko’s fault.

To fix (at your own risk):

  1. Go to “Xenko_install_directory/GamePackages/Xenko.2.1.1.1”
  2. Search recursively for all “project.json” files. I had 23 hits.
  3. Open them up in some text/code editor and change the version number for “NETStandard.Library” from 1.6.0 to 1.6.1
  4. Save

That will require a version 4.3.0 of System.Threading, which downloads fine and project gets created without an issue.

Disclaimer: I have no clue, whether there may be some deeper repercussions, probably none. Basic start project compiled and ran fine.

Have a nice day,
Ingmar